Package: org.apache.groovy.json.internal

## [Java] Interface ValueMap<K, V>

-     public interface ValueMap<K, V>
      extends Map

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(MapItemValue miv)`
    `` | `public boolean` | `hydrated()` Has the map been hydrated.
    `` | `public Entry<String, Value>[]` | `items()` Give me the items in the map without hydrating the map.
    `` | `public int` | `len()` Return size w/o hydrating the map.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Map` | `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, copyOf, entry, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, of, of, of, of, of, of, of, of, of, of, of, ofEntries, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### public void add(MapItemValue miv)

    - #### public boolean hydrated()

      Has the map been hydrated.

    - #### public Entry<String, Value>[] items()

      Give me the items in the map without hydrating the map. Realize that the array is likely larger than the length so array items can be null.

    - #### public int len()

      Return size w/o hydrating the map.